ClarisWksStyleManager::Style Struct Reference

the structure to store the style in a ClarisWksStyleManager More...

`#include <ClarisWksStyleManager.hxx>`

## Public Member Functions

| Style ()
| constructor

## Public Attributes

int | m_fontId
| the char
int | m_cellFormatId
| the formatId
int | m_rulerId
| the ruler
int | m_rulerPId
| the ruler parent id ( or maybe the style parent)
int | m_nameId
| the style name id
int | m_ksenId
| the ksen id
int | m_graphicId
| the graphic (checkme)
int | m_localStyleId
| a local style id
int | m_styleId
| the style id
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, ClarisWksStyleManager::Style const &style)
| operator<<

## Detailed Description

the structure to store the style in a ClarisWksStyleManager

## Constructor & Destructor Documentation

## Style()

ClarisWksStyleManager::Style::Style | ( |  | ) |

inline

constructor

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::Style const & | style )

friend

operator<<

## Member Data Documentation

## m_cellFormatId

int ClarisWksStyleManager::Style::m_cellFormatId

the formatId

Referenced by operator<<, ClarisWksDbaseContent::readRecordSS(), ClarisWksStyleManager::readStylesDef(), and Style().

## m_extra

std::string ClarisWksStyleManager::Style::m_extra

extra data

Referenced by operator<<, ClarisWksStyleManager::readStylesDef(), and Style().

## m_fontId

int ClarisWksStyleManager::Style::m_fontId

the char

Referenced by operator<<, ClarisWksDbaseContent::readRecordSS(), ClarisWksStyleManager::readStylesDef(), and Style().

## m_graphicId

int ClarisWksStyleManager::Style::m_graphicId

the graphic (checkme)

Referenced by operator<<, ClarisWksDbaseContent::readRecordSS(), ClarisWksStyleManager::readStylesDef(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableCells(), Style(), and ClarisWksTableInternal::TableCell::update().

## m_ksenId

int ClarisWksStyleManager::Style::m_ksenId

the ksen id

Referenced by operator<<, ClarisWksStyleManager::readStylesDef(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableCells(), Style(), and ClarisWksTableInternal::TableCell::update().

## m_localStyleId

int ClarisWksStyleManager::Style::m_localStyleId

a local style id

Referenced by operator<<, ClarisWksStyleManager::readStylesDef(), and Style().

## m_nameId

int ClarisWksStyleManager::Style::m_nameId

the style name id

Referenced by ClarisWksStyleManager::getRulerName(), operator<<, ClarisWksStyleManager::readStylesDef(), and Style().

## m_rulerId

int ClarisWksStyleManager::Style::m_rulerId

the ruler

Referenced by ClarisWksStyleManager::getRulerName(), operator<<, ClarisWksText::readParagraphs(), ClarisWksStyleManager::readStylesDef(), and Style().

## m_rulerPId

int ClarisWksStyleManager::Style::m_rulerPId

the ruler parent id ( or maybe the style parent)

Referenced by ClarisWksStyleManager::getRulerName(), operator<<, ClarisWksStyleManager::readStylesDef(), and Style().

## m_styleId

int ClarisWksStyleManager::Style::m_styleId

the style id

Referenced by operator<<, ClarisWksStyleManager::readStylesDef(), and Style().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.hxx